body{
    background-image: url(../Tapet/04.png);
    width: 100%;
    max-width: 1920px;
    min-width: 412px;
}

/*--------------------------------------------------------------------------
---------------------------------Fonts--------------------------------------
----------------------------------------------------------------------------*/

@import url('https://fonts.googleapis.com/css2?family=IM+Fell+English+SC&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..900;1,200..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

/*--------------------------------------------------------------------------
---------------------------------Global-------------------------------------
----------------------------------------------------------------------------*/

/*------Header------*/

.container{
    position: relative;
    text-align: center;
    width: 960px;
    max-width: 100%;
    margin: 0 auto;
    padding-bottom: 20px;
    min-width: 412px;
}

header{
    background: black;
    border-radius: 20px 20px 0px 0px;
    max-height: 50%;
    position: relative;
    display: grid;
}

.name h1{
    text-align: center;
    font-family: 'IM Fell English SC', serif;
    color: white;
    font-size: 5vw;
}

.logo{
    position: absolute;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    text-align: center;
    width: 12.5%;
    top: 70%;
}

.menu{
    background: grey;
    border-radius: 0px 0px 1.5vw 1.5vw;
    display: grid;
    align-items: center;
    grid-gap: 2vw;
    grid-template-columns: repeat(auto-fit, minmax(2vw, 1fr));
}

div.menu a{
    display: inline-block;
    background: darkred;
    color: white;
    font-family: 'IM Fell English SC', serif;
    text-align: center;
    text-decoration: none;
    font-size: 2vw;
    height : 3vw;
    padding-bottom: 10px;
    border-radius: 0vw 0vw 1.5vw 1.5vw;
    max-width: 100%;
    max-height: 100%;
    position: a;
}

div.menu a.empty{
    background: transparent;
}

.redirect-button {
    cursor: pointer;
}


/*-------Main-------*/

.newsContainer {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(470px, 1fr));
    grid-gap: 0rem;
    justify-items: center;
    margin: 0 auto;
    padding: 0;
}

.cards{
    text-align: center;
    max-width: 100%;
    margin-bottom: 10px;
    margin-top: 10px;
}

.cardContents{
    display: inline-block;
    vertical-align: middle;
    background: black;
    border-radius: 1vw;
    /*border: 7px solid darkred; /* Añade un borde dorado de 5px de grosor */
    /*aspect-ratio: 16/9;*/
}

.footIcon img{
    height: 30px;
    width: 30px;
    font-weight: 400;
    display: inline;
    float: center;
    margin-right: 20px;
    margin-left: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.endNews{
    margin-right: 20px;
    margin-left: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
}


/*------Footer------*/

footer{
    background: black;
    border-radius: 20px;
    max-width: 100%;
    position: relative;
    display: grid;
    text-align: center;
    width: 960px;
    margin: 0 auto;
}

.footerIcon img{
    height: 30px;
    width: 30px;
    font-weight: 400;
    display: inline;
    float: right;
    margin-right: 10px;
    margin-left: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
}

footer .footerDiv .footText{
    text-align: center;
    font-family: 'IM Fell English SC', serif;
    font-weight: bold;
    color: white;
    font-size: 15px;
    float: left;
    margin-left: 10px;
    word-spacing: 0.25em;
}

/* Main Page*/

.cardTitle{
    text-align: center;
    font-family: 'IM Fell English SC', serif;
    font-weight: bold;
    color: white;
    font-size: 22px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.imageNews{
    border-radius: 5px 5px 0 0;
    width: 100%;
    height: auto;
    object-fit: scale-down;
}

/*--------------------------------------------------------------------------
---------------------------Home Page-------------------------------------
----------------------------------------------------------------------------*/

.PageHome .title{
    text-align: center;
    font-family: 'Lato', sans-serif;
    font-weight: bold;
    color: white;
    font-size: 25px;
    margin-top: 15px;
    margin-bottom: 15px;
}

.PageHome .entryContent{
    margin-left: 20px;
    margin-right: 20px;
}

.PageHome .endEntry{
    margin-left: 20px;
    margin-right: 20px;
}

.PageHome h2{
    text-align: left;
    font-family: 'Lato', sans-serif;
    color: white;
    font-size: 25px;
    text-decoration: underline;
}

.PageHome p{
    text-align: left;
    font-family: 'Lato', sans-serif;
    color: white;
    font-size: 20px;
}

.homeCheatImage img{
    width: 62.5vw;
    height: 0px;
}

.img{
    max-width: 95%;
    width: auto;
    max-height: 95%;
    height: auto;
}

.newsVideo-Image{
    max-width: 95%;
    width: auto;
    max-height: 95%;
    height: auto;
    margin-bottom: 10px;
}

.newsTitle{
    text-align: center;
    font-family: 'IM Fell English SC', serif;
    font-weight: bold;
    color: white;
    font-size: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.newsContent{
    display: inline-block;
    vertical-align: middle;
    background: black;
    border-radius: 1vw;
    max-width: 950px;
    padding-bottom: 10px;
}

.newEntryContainer {
    margin-bottom: 10px;
    margin-top: 10px;
}

/*--------------------------------------------------------------------------
-----------------------------Games Page-------------------------------------
----------------------------------------------------------------------------*/
.gameVideo{
    width: 460px;
    height: 264px;
}

.video{
    width: 460px;
    height: 264px;
}

/*--------------------------------------------------------------------------
-------------------------3D Models Page-------------------------------------
----------------------------------------------------------------------------*/

.sketchfab{
    width: 460px;
    height: 264px;
}

/*--------------------------------------------------------------------------
---------------------------Contact Page-------------------------------------
----------------------------------------------------------------------------*/

.left{
    display: inline-block;
    vertical-align: middle;
    background: grey;
    border-radius: 25px 25px 25px 25px;
    width: 460px;
    height: auto;
}

.left h2{
    text-align: center;
    font-family: 'IM Fell English SC', serif;
    color: white;
    font-size: 30px;
    margin-top: 20px;
}

hr.dashedPrincipal {
    border: 0;
    border-top: 3px dashed #bbb;
    margin-left: 20px;
    margin-right: 20px;
}

.left h3{
    text-align: center;
    font-family: 'Nunito', sans-serif;
    color: black;
    font-size: 20px;
}

.profileImage{
    border-radius: 50px 50px 50px 50px;
    width: 200px;
    height: auto;
}

.left h4{
    text-align: center;
    font-family: 'IM Fell English SC', serif;
    color: white;
    font-size: 30px;
    text-decoration: underline;
}

.contactInfo{
    display: grid;
    grid-template-columns: 50px 50px;
    margin-left: 20px;
    margin-right: 20px;
    margin-top: -15px;
}

.contactInfo .contactIcon{
    width: 40px;
    height: 40px;
}

.contactInfo h5{
    font-family: 'IM Fell English SC', serif;
    color: black;
    font-size: 20px;
    font-weight: bold;
    text-decoration: underline;
    margin-top: 10px;
}

.contactInfo h6{
    margin-top: -20px;
    font-family: 'Nunito', sans-serif;
    color: white;
    font-size: 20px;
}


.right{
    display: inline-block;
    vertical-align: middle;
    background: grey;
    border-radius: 25px 25px 25px 25px;
    width: 460px;
    height: auto;
}

.block{
    margin-left: 20px;
    margin-right: 20px;
}

.block h2{
    text-align: left;
    font-family: 'IM Fell English SC', serif;
    color: white;
    font-size: 30px;
    text-decoration: underline;
}

.block p{
    text-align: left;
    font-family: 'Nunito', sans-serif;
    color: black;
    font-size: 18px;
    font-weight: bold;
}

ul{
    text-align: left;
    font-family: 'Nunito', sans-serif;
    color: black;
    font-size: 18px;
    font-weight: bold;
}

ul a{
    text-decoration: none;
    color: black;
}

hr.dashed {
    border: 0;
    border-top: 3px dashed #bbb;
    margin-left: 10px;
    margin-right: 10px;
}

li{
    margin-bottom: 2px;
}

/*--------------------------------------------------------------------------
---------------------------CODE---------------------------------------------
----------------------------------------------------------------------------*/

@media screen and (min-width: 950px){
    div.menu a{
        font-size: 28px;
        padding-top: 10px;
    }

    .cardContents{
        max-width: 950px;
    }
}

@media screen and (max-width: 412px){
    div.menu a{
        font-size: 10px;
        padding-top: 5px;
    }
}

/* Media Query para dispositivos móviles */
@media screen and (max-width: 1000px) {
    .newsContainer {
        grid-template-columns: 1fr; /* Hace que las cards ocupen todo el ancho */
        grid-gap: 10px; /* Ajusta el espacio entre las cards */
    }

    .cards {
        width: 100%; /* Asegura que la card ocupe todo el ancho del contenedor */
        margin: 0 auto 10px auto; /* Centra las cards y agrega espacio inferior */
    }

    .cardContents {
        width: 100%; /* Asegura que el contenido de la card ocupe todo el ancho disponible */
        /*aspect-ratio: 16/9;*/
    }

    .gameVideo{
        width: 100%;
        height: auto;
    }
    
    .video{
        width: 100%;
        height: auto;
    }

    .sketchfab{
        width: 100%;
        height: auto;
        aspect-ratio: 16/9;
    }

    .right{
        width: 100%;
        height: auto;
    }

    .left{
        width: 100%;
        height: auto;
    }
}